# EESy File Store Service

The EESy file store service implements the *file store* resource of the
EESy API.
A file store is an abstraction of a storage container that
organizes data into directories and files.
A file store may be backed by a physical file system, it may be a
cloud storage container, or it may have any other physical representation.
Restricted Access !
Existing customer can request access via [Customer Support for Digital](https://customersupport.digital.slb.com/).
Automatic population of the API Key and S-Auth token is not supported in the "Try It" interface for this API.

```plain Client ID
service-eesy.slbservice.com
```

Version: 1.0

## Servers

```
https://api.delfi.slb.com/engines/v1
```

## Security

### Bearer

User or Service/App/Client Token from SAuth

Type: apiKey
In: header
Name: Authorization

### appkey

AppKey/ Consumer Key from your App on Developer Portal

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [EESy File Store Service](https://developer.slb.com/_bundle/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi.yaml)

## FileStores

 - [POST /sessions/{session}/filestores](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/filestores/postfilestore.md): Creates a new file store object. The file store may be internal or external. The engine ecosystem provisions storage as required. Storage for internal file stores is temporary and is deleted with the
 - [GET /sessions/{session}/filestores](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/filestores/listfilestores.md): Obtains a list of file stores. The list may be limited to specific objects by means of a label selector. A label selector is a comma-separated list of label name/value pairs. For instance, the selec
 - [GET /sessions/{session}/filestores/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/filestores/getfilestore.md): Obtains a specific file store by name.
 - [DELETE /sessions/{session}/filestores/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/filestores/deletefilestore.md): Initiates deletion of an EESy file store. Deletion is an asynchronous operation as it takes some time to tear down resources that are associated with the file store. The file store will have its dele
## Schema Definitions

 - [EESy file store](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/schema-definitions/filestore.md): Schema: #/components/schemas/FileStore
 - [File Store Specification](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/schema-definitions/filestorespec.md): Schema: #/components/schemas/FileStoreSpec
 - [File Store Status](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/schema-definitions/filestorestatus.md): Schema: #/components/schemas/FileStoreStatus
 - [EESy file store List](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/schema-definitions/filestorelist.md): Schema: #/components/schemas/FileStoreList
 - [EESy object metadata](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/schema-definitions/objectmetadata.md): Schema: #/components/schemas/ObjectMetadata
 - [EESy Request Status](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_filestore_service_openapi/schema-definitions/status.md): Schema: #/components/schemas/Status
